import request from '@/utils/request'
// 角色管理-列表
export function getRoleListApi(query) {
    return request({
        url: '/system/role/list',
        method: 'get',
        params: query
    })
}
// 角色管理-编辑
export function updateRoleApi(data) {
    return request({
        url: '/system/role',
        method: 'put',
        data: data
    })
}
// 角色管理-详情
export function getRoleDetailsApi(roleId) {
    return request({
        url: `/system/role/${roleId}`,
        method: 'get',

    })
}
// 角色管理-新增
export function addRoleApi(data) {
    return request({
        url: '/system/role',
        method: 'post',
        data: data
    })
}
// 角色管理-删除
export function deleteRoleApi(roleIds) {
    return request({
        url: `/system/role/${roleIds}`,
        method: 'delete',
    })
}
// 角色管理-状态更新
export function updateRoleStatusApi(data) {
    return request({
        url: '/system/role/changeStatus',
        method: 'put',
        data: data
    })
}
// 角色管理-权限
export function getRoleAuth(roleId) {
    return request({
        url: `/system/menu/roleMenuTreeselect/${roleId}`,
        method: 'get',
    })
}
// 角色管理-权限修改
export function updateRoleAuth(data) {
    return request({
        url: '/system/role/updateRoleAuthority',
        method: 'put',
        data: data
    })
}